Bug 258727 - da(4): Document multiple sysctls
Summary: da(4): Document multiple sysctls
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Gordon Bergling
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2021-09-26 02:44 UTC by Felix Johnson
Modified: 2022-09-17 05:49 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback? (imp)
koobs: maintainer-feedback? (trasz)


Attachments
da(4) patch - document multiple SYSCTLs (1.77 KB, patch)
2021-09-26 02:44 UTC, Felix Johnson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Johnson freebsd_triage 2021-09-26 02:44:02 UTC
Created attachment 228182 [details]
da(4) patch - document multiple SYSCTLs

The da(4) man page is missing information on SYSCTLs:

kern.cam.da.default_softtimeout
kern.cam.da.disable_wp_protection
kern.cam.da.enable_biospeedup
kern.cam.da.enable_uma_ccbs
kern.cam.da.poll_period
kern.cam.da.send_ordered
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-09-26 03:01:21 UTC
Thank you for your report and patch Felix!

If these are to be merged to stable/* branches, it may well be worth looking at whether there are material changes to da(4) that changes behaviour warranting different descriptions.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-09-26 03:05:36 UTC
@ Warner / Edward Do either of you have cycles to review this simple docs addition from a correct description of behaviour point of view?
Comment 3 Gordon Bergling freebsd_committer 2021-10-02 10:10:38 UTC
I create a Phabricator review for the patch and fixed a few "new sentence, new line" mandoc warnings.

Thanks for the patch!
Comment 4 Gordon Bergling freebsd_committer 2021-10-02 10:11:01 UTC
I created a Phabricator review for the patch and fixed a few "new sentence, new line" mandoc warnings.

Thanks for the patch!
Comment 5 commit-hook freebsd_committer 2022-09-10 07:45:28 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=53af9c235f5d368ce788d99e16951a167a152bbc

commit 53af9c235f5d368ce788d99e16951a167a152bbc
Author:     Felix Johnson <felix.the.red@gmail.com>
AuthorDate: 2022-09-10 07:44:08 +0000
Commit:     Gordon Bergling <gbe@FreeBSD.org>
CommitDate: 2022-09-10 07:44:08 +0000

    da.4: Add some sysctl descriptions

    Add descriptions for the following sysctl's:

    - kern.cam.da.default_softtimeout
    - kern.cam.da.disable_wp_protection
    - kern.cam.da.enable_biospeedup
    - kern.cam.da.enable_uma_ccbs
    - kern.cam.da.poll_period
    - kern.cam.da.send_ordered

    While here, fix some mandocs warnings.

    PR:             258727
    Reported by:    Felix Johnson <felix dot the dot red at gmail dot com>
    Reviewed by:    debdrup, pauamma, gbe
    MFC after:      1 week
    Differential Revision:  https://reviews.freebsd.org/D32278

 share/man/man4/da.4 | 49 ++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 40 insertions(+), 9 deletions(-)
Comment 6 commit-hook freebsd_committer 2022-09-17 05:48:39 UTC
A commit in branch stable/13 references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=e622409a70542c3ea54e096aecc3323b91a641a4

commit e622409a70542c3ea54e096aecc3323b91a641a4
Author:     Felix Johnson <felix.the.red@gmail.com>
AuthorDate: 2022-09-10 07:44:08 +0000
Commit:     Gordon Bergling <gbe@FreeBSD.org>
CommitDate: 2022-09-17 05:46:20 +0000

    da.4: Add some sysctl descriptions

    Add descriptions for the following sysctl's:

    - kern.cam.da.default_softtimeout
    - kern.cam.da.disable_wp_protection
    - kern.cam.da.enable_biospeedup
    - kern.cam.da.enable_uma_ccbs
    - kern.cam.da.poll_period
    - kern.cam.da.send_ordered

    While here, fix some mandocs warnings.

    PR:             258727
    Reported by:    Felix Johnson <felix dot the dot red at gmail dot com>
    Reviewed by:    debdrup, pauamma, gbe
    Differential Revision:  https://reviews.freebsd.org/D32278

    (cherry picked from commit 53af9c235f5d368ce788d99e16951a167a152bbc)

 share/man/man4/da.4 | 49 ++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 40 insertions(+), 9 deletions(-)
Comment 7 commit-hook freebsd_committer 2022-09-17 05:48:40 UTC
A commit in branch stable/12 references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=8fafc34128dc60305f276ed3b9e816c6416bcd25

commit 8fafc34128dc60305f276ed3b9e816c6416bcd25
Author:     Felix Johnson <felix.the.red@gmail.com>
AuthorDate: 2022-09-10 07:44:08 +0000
Commit:     Gordon Bergling <gbe@FreeBSD.org>
CommitDate: 2022-09-17 05:47:56 +0000

    da.4: Add some sysctl descriptions

    Add descriptions for the following sysctl's:

    - kern.cam.da.default_softtimeout
    - kern.cam.da.disable_wp_protection
    - kern.cam.da.enable_biospeedup
    - kern.cam.da.enable_uma_ccbs
    - kern.cam.da.poll_period
    - kern.cam.da.send_ordered

    While here, fix some mandocs warnings.

    PR:             258727
    Reported by:    Felix Johnson <felix dot the dot red at gmail dot com>
    Reviewed by:    debdrup, pauamma, gbe
    Differential Revision:  https://reviews.freebsd.org/D32278

    (cherry picked from commit 53af9c235f5d368ce788d99e16951a167a152bbc)

 share/man/man4/da.4 | 49 ++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 40 insertions(+), 9 deletions(-)